drag and drop of launcher icons uses microscopic drag icon

Bug #727647 reported by Andy Whitcroft on 2011-03-02
76
This bug affects 13 people
Affects Status Importance Assigned to Milestone
Unity
Fix Released
High
Jay Taoko
unity (Ubuntu)
High
Jay Taoko
Natty
High
Jay Taoko

Bug Description

Binary package hint: unity

drag and drop of launcher icons around on the unity side bar uses a very very tiny icon, of the order of 1mm square. I _think_ its coloured appropriatly to be a very small shrink of the icon. We are expecting a full size icon in 'hand' when dragging.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: unity 3.6.0-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
NonfreeKernelModules: wl
Architecture: i386
CompizPlugins: [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
Date: Wed Mar 2 08:45:53 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
ProcEnviron:
 LANGUAGE=en_GB:en
 PATH=(custom, user)
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
SourcePackage: unity
UpgradeStatus: Upgraded to natty on 2010-12-18 (73 days ago)

Andy Whitcroft (apw) wrote :
Sebastien Bacher (seb128) wrote :
Didier Roche (didrocks) wrote :

ok, can't reproduce it on my nvidia system, Mirco as well on nvidia.

@Andy: are you using an ati, nvidia, intel card (seb is using intel)?

Changed in unity (Ubuntu):
status: New → Confirmed
Changed in unity:
status: New → Confirmed
importance: Undecided → High
milestone: none → 3.6.2
Changed in unity (Ubuntu):
importance: Undecided → High

I face this on intel and nvidia

On Wed, Mar 2, 2011 at 2:49 PM, Didier Roche <email address hidden> wrote:

> ** Changed in: unity
> Status: New => Confirmed
>
> ** Changed in: unity
> Importance: Undecided => High
>
> ** Changed in: unity
> Milestone: None => 3.6.2
>
> ** Changed in: unity (Ubuntu)
> Importance: Undecided => High
>
> --
> You received this bug notification because you are subscribed to Unity.
> https://bugs.launchpad.net/bugs/727647
>
> Title:
> drag and drop of launcher icons uses microscopic drag icon
>
> Status in Unity:
> Confirmed
> Status in “unity” package in Ubuntu:
> Confirmed
>
> Bug description:
> Binary package hint: unity
>
> drag and drop of launcher icons around on the unity side bar uses a
> very very tiny icon, of the order of 1mm square. I _think_ its
> coloured appropriatly to be a very small shrink of the icon. We are
> expecting a full size icon in 'hand' when dragging.
>
> ProblemType: Bug
> DistroRelease: Ubuntu 11.04
> Package: unity 3.6.0-0ubuntu1
> ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
> Uname: Linux 2.6.38-5-generic i686
> NonfreeKernelModules: wl
> Architecture: i386
> CompizPlugins:
> [core,bailer,detection,composite,opengl,decor,mousepoll,vpswitch,regex,animation,snap,expo,move,compiztoolbox,place,grid,imgpng,gnomecompat,wall,ezoom,workarounds,staticswitcher,resize,fade,unitymtgrabhandles,scale,session,unityshell]
> Date: Wed Mar 2 08:45:53 2011
> EcryptfsInUse: Yes
> InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
> ProcEnviron:
> LANGUAGE=en_GB:en
> PATH=(custom, user)
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> SourcePackage: unity
> UpgradeStatus: Upgraded to natty on 2010-12-18 (73 days ago)
>

Didier Roche (didrocks) on 2011-03-02
Changed in unity:
milestone: 3.6.2 → 3.6.4
asp95 (asp95) wrote :

same bug on the Intel GMA950 graphic card

Thomas Kendrick (t-kendrick) wrote :

Encounter the same problem on Intel HD i915 graphics

Andrea Azzarone (azzar1) wrote :

I have the same problem with:
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (primary) (rev 03)

Omer Akram (om26er) wrote :

when I said on nvidia, to add, I use libgl1-mesa-dri-experimental.

Didier Roche (didrocks) on 2011-03-10
Changed in unity:
milestone: 3.6.4 → 3.6.6

The same here.

00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)

Michael (starkpc) wrote :

VirtualBox 4.0.4 and Intel 4500MHD is also affected .

unity --version = 3.6.4
Xorg -version = 1.10.0 RC 2
compiz --version = 0.9.4.0

Changed in unity (Ubuntu):
assignee: nobody → Canonical Desktop Experience Team (canonical-dx-team)
Neil J. Patel (njpatel) on 2011-03-17
Changed in unity:
assignee: nobody → Jason Smith (jassmith)
Didier Roche (didrocks) on 2011-03-17
Changed in unity:
milestone: 3.6.6 → 3.6.8
Jay Taoko (jaytaoko) on 2011-03-18
Changed in unity:
status: Confirmed → Fix Committed
Changed in unity (Ubuntu Natty):
status: Confirmed → Fix Committed
Hernando Torque (htorque) wrote :

Intel and Nvidia (nouveau, didn't see this with the BLOB): rev. 975 fix working fine.

David Barth (dbarth) on 2011-03-23
Changed in unity (Ubuntu Natty):
assignee: Canonical Desktop Experience Team (canonical-dx-team) → Jason Smith (jassmith)
Neil J. Patel (njpatel) on 2011-03-23
Changed in unity:
assignee: Jason Smith (jassmith) → Neil J. Patel (njpatel)
assignee: Neil J. Patel (njpatel) → Jay Taoko (jaytaoko)
Changed in unity (Ubuntu Natty):
assignee: Jason Smith (jassmith) → Jay Taoko (jaytaoko)
Didier Roche (didrocks) on 2011-03-24
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (4.4 KiB)

This bug was fixed in the package unity - 3.6.8-0ubuntu1

---------------
unity (3.6.8-0ubuntu1) natty; urgency=low

  * New upstream release.
    - crash at the second drag and drop from an unity place (LP: #736704)
    - Compiz crashes with SIGSEGV in nux::GraphicsDisplay::GrabPointer when
      opening the Dash (LP: #737287)
    - Visual Tearing/Rendering Issues with Unity Launcher (LP: #737476)
    - unity-window-decorator crash on unity panel dragout (LP: #740480)
    - unity-panel-service crashed with SIGSEGV in g_type_check_instance_is_a()
      (LP: #694699)
    - compiz crashed with SIGSEGV in nux::BaseTexture::GetDeviceTexture()
      (LP: #692823)
    - the "no result" and "search the web" items need icons (LP: #711199)
    - Resizing with external padding/grab area prevents reaching edge of
      screen (LP: #710356)
    - drag and drop of launcher icons uses microscopic drag icon (LP: #727647)
    - text in places look squeezed (LP: #727799)
    - at-spi-registry consumes most of the CPU and make the system unusable on
      Natty (LP: #729827)
    - migrate_favorites.py crashed with GError in __main__: Bad key or
      directory name: "/desktop/unity/launcher/favorites/app-
      dc++.desktop/type": `+' is an invalid character in key/directory names
      (LP: #737016)
    - Launcher hide state is confusing (LP: #739850)
    - Polish new launcher hide state (part 2) (LP: #740020)
    - launcher icons should expan on super or when entering keynav
      (LP: #741319)
    - Launcher - Dragging a Launcher icon to the Trash should remove the icon
      (LP: #676466)
    - Launcher - Enable dragging and dropping of files & folders to Launcher
      icons (LP: #676549)
    - Dash - Add Dash group header mouseover effect (LP: #689640)
    - unity aborts when you plug in an external monitor (LP: #700757)
    - Keyboard-navigation: focus on launcher remembered (LP: #713340)
    - Launcher Quicklists should always contain the application title
      (LP: #723877)
    - When a maximized window has window on top of it in 'restored state' (not
      maximised) , it is not possible to un-maximized the window by dragging
      the title bar downwards (LP: #723882)
    - When windows open for the first time they should not hide the launcher
      (LP: #723878)
    - UI blocked when expanding a section with more than 2000 items
      (LP: #736059)
    - Change ALT-Tab to bring the target window to the front (LP: #736938)
    - compiz crashed with SIGABRT in __kernel_vsyscall() (LP: #737814)
    - Launcher does not respond to changes in icon theme (LP: #605475)
    - Implement new style scrollbars in Dash (LP: #608124)
    - Closing launcher menu raises window under mouse (LP: #728787)
    - adding url launcher support from the search (LP: #739038)
    - Launcher - Set Launcher 'Hide Animation' to 'Slide only' by default.
      Also introduce subtle fade in effect. (LP: #739567)
    - "Time & Date" settings appears in launcher with empty tooltip
      (LP: #740907)
    - ZeitgeistLog missing implementation of get_property for "connected"
      (LP: #734080)
    - often can't alt-click-dnd to move the focussed dialog (LP: #711911)
    - The Unity P...

Read more...

Changed in unity (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers